# button class

A simple, well-known button

Inherits
object widget
Description
A button - nothing more, nothing else...
Functions

`$setText(<text>)`
This function sets the text for this button.
`$text()`
Returns the current text of the button
`$clickEvent()`

This function is called by the framework when the button is clicked.
You can reimplement it to handle the user click events.
The default implementation emits the $clicked() signal, so it is easy to handle the clicks from many buttons without reimplementing the $clickEvent() for every one.
Note:
If you reimplement this function to catch the user click events, you will have to emit the signal by yourself (if you still need it , obviously).

Signals

`$clicked()`
This signal is emitted by the default implementation of [classfnc]clickEvent[/classfnc](). If you reimplement that function you will have to emit the signal manually (if you still need it).

Index, Object Classes

KVIrc 3.2.0 Documentation
Generated by kris at Sun Mar 12 16:19:48 2006